## diffoscope 125

=== debian/changelog ===
diffoscope (125) unstable; urgency=medium

  * The test_libmix_differences ELF test requires xxd. (Closes: #940645)

 -- Chris Lamb <lamby@debian.org>  Wed, 18 Sep 2019 11:44:57 +0200

diffoscope (124) unstable; urgency=medium

  [ Chris Lamb ]
  * Also conditionally skip the identification and "no differences" tests as we
    require the Ocaml compiler to be present when building the test files
    themselves. (Closes: #940471)

  [ Mattia Rizzolo ]
  * Permit all sorts of version suffixes when checking the Debian package
    version matches setup.py, not just for backports. (Closes: #939387)

  [ Vagrant Cascadian ]
  * Add external tools on GNU Guix for odt2txt, sng and pppdump

  [ Marc Herbert ]
  * Remove StaticLibFile in the ELF comparator -- ArFile.compare_details() is
    superior. (Closes: reproducible-builds/diffoscope#64)

 -- Chris Lamb <lamby@debian.org>  Tue, 17 Sep 2019 12:19:07 +0200

diffoscope (123) unstable; urgency=medium

  [ Chris Lamb ]
  * Build OCaml test input files on-demand rather than shipping them with the
    package in order to prevent test failures with OCaml 4.08.
    (Closes: #939386)
  * Update test skipping messages:
    - When skipping tests due to the lack of installed tool, print the package
      that may provide it.
    - Update "requires foo module" messages to clarify that they are regarding
      Python modules, not packages.
  * Rebuild the test squashfs images to exclude the character device as they
    requires root or fakeroot to extract. (reproducible-builds/diffoscope#65)
  * Remove accidentally-committed test fixture generation code from tests.
  * Set long_description_content_type to 'text/x-rst' in setup.py to appease
    the PyPI.org linter.

  [ Mattia Rizzolo ]
  * Don't crash when the progress is requested but the Python module is
    missing. (Closes: #939085)

  [ Vagrant Cascadian ]
  * Add external tools for gifbuild, javap and kbxutil in GNU Guix.

  [ Marc Herbert ]
  * In the cbfs tests, add a "Comp" column test to support Coreboot
    utils > 4.6.

 -- Chris Lamb <lamby@debian.org>  Sat, 07 Sep 2019 14:16:31 +0100
