## diffoscope 126~bpo10+1

=== debian/changelog ===
diffoscope (126~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 17 Oct 2019 16:10:14 +0200

diffoscope (126) unstable; urgency=medium

  [ Chris Lamb ]
  * Track and report on missing Python modules.
    (Closes: reproducible-builds/diffoscope#72)
  * Drop some unnecessary control flow.
  * Drop explicit inheriting from 'object' class; unnecessary in Python 3.
  * Bump Standards-Version to 4.4.1.

  [ Mattia Rizzolo ]
  * Exit with 2 instead of 1 in case of no disk space.

 -- Chris Lamb <lamby@debian.org>  Mon, 14 Oct 2019 12:29:47 -0700
