=== debian/control ===
--- 
+++ 
@@ -55,8 +55,8 @@
  pgpdump <!nocheck>,
  poppler-utils <!nocheck>,
  procyon-decompiler <!nocheck>,
- python-argcomplete,
  python3-all,
+ python3-argcomplete,
  python3-binwalk <!nocheck>,
  python3-debian <!nocheck>,
  python3-distro <!nocheck>,
