## diffoscope 129~bpo10+1

=== debian/changelog ===
diffoscope (129~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 02 Nov 2019 19:24:21 +0100

diffoscope (129) unstable; urgency=medium

  * Call R's "deparse" function to ensure that we do not error out and revert
    to a binary diff when processing .rdb files with internal "vector" types as
    they do not automatically coerce to strings.
  * Add the ability to pass Python bytestrings to external commands and
    pass our long script to parse R .rdb files using this new method over a
    long command-line argument
  * Use Rscript's --vanilla option over --no-environ as this also enables
    --no-save, --no-restore, --no-site-file and --no-init-file.
  * Improve command-line error messages:
    - Split out formatting into a separate utility function.
    - Truncate very long lines when displaying them as an external source
      of data.
    - When printing an error from a command, format the command for the user.
  * Use "exit code" over "return code" when referring to UNIX error codes in
    displayed differences.

 -- Chris Lamb <lamby@debian.org>  Mon, 28 Oct 2019 11:15:18 +0000
