## diffoscope 133~bpo10+1

=== debian/changelog ===
diffoscope (133~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 02 Dec 2019 10:38:40 +0100

diffoscope (133) unstable; urgency=medium

  * Correct the substitution/filtering of paths in ELF output to avoid
    unnecessary differences depending on the path name provided on the
    commandline. (Closes: #945572)
  * Silence/correct a SyntaxWarning message due to incorrectly comparing an
    integer by identity (is) over equality (==). (Closes: #945531)

 -- Chris Lamb <lamby@debian.org>  Thu, 28 Nov 2019 10:03:33 +0000

diffoscope (132) unstable; urgency=medium

  * Allow all possible .zip variations to return with non-zero exit codes, not
    just known types we can explicitly identify (eg. Java .jmod and .jar
    files). (Closes: reproducible-builds/diffoscope#78)
  * Also permit UTF-8 encoded .dsc and .changes files.
    (Re: reproducible-builds/diffoscope#78)
  * Rework a long string of "or" statements into a loop with a "break".

 -- Chris Lamb <lamby@debian.org>  Tue, 26 Nov 2019 10:31:44 +0000

diffoscope (131) unstable; urgency=medium

  * Clarify in the HTML and text outputs that the limits are per output format,
    not global. (Closes: #944882, reproducible-builds/diffoscope#76)
    - Bump the previous "max_page_size" limit from 400 kB to 4 MB.
  * Update an Android manifest test to reflect that parsed XML attributes are
    returned in a sorted or otherwise novel manner under Python 3.8.
  * Update code to reflect version 19.10b0 of the black source code
    reformatter and don't run our self-test for versions earlier than this as
    it will generate different results and thus fail.
  * Limit .dsc and .buildinfo matching; don't attempt to compare them as
    ELF sections or similar. (Closes: reproducible-builds/diffoscope#77)
  * Add a comment that the text_ascii{1,2} test fixture files are used in
    multiple places so are not trivial to generate on the fly.

 -- Chris Lamb <lamby@debian.org>  Sat, 23 Nov 2019 15:22:51 -0500

diffoscope (130) unstable; urgency=medium

  [ Chris Lamb ]
  * debian/tests/basic-command-line:
    Move from deprecated ADTTMP to AUTOPKGTEST_TMP.
  * Correct the matching of R .rds files by also detecting newer versions
    of this file format.
  * Drop unused BASE_DIR global in the tests.
  * Try and ensure that new test data files are generated dynamically, ie.
    at least no new ones are added without "good" reasons.
  * Truncate the tcpdump expected diff to 8KB (from ~600KB).
  * Refresh OCaml test fixtures to support OCaml >= 4.08.1.  Closes: #944709
  * Correct reference to the ".rdx" extension in a comment.
  * Update XML test for Python 3.8+.
  * Don't use line-base dbuffering when communucating with subprocesses
    in binary mode. (Closes: reproducible-builds/diffoscope#75)

  [ Jelle van der Waa ]
  * Add support for comparing .zst files are created by zstd.
    (Closes: reproducible-builds/diffoscope!34)

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 14 Nov 2019 11:22:20 +0100
