## diffoscope 134~bpo10+1

=== debian/changelog ===
diffoscope (134~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 30 Dec 2019 13:35:15 +0100

diffoscope (134) unstable; urgency=medium

  [ Chris Lamb ]
  * Ensure that autopkgtests are run with our pyproject.toml present for the
    correct "black" source code formatter settings. (Closes: #945993)
  * Tidy some unnecessary boolean logic in the ISO9660 tests.
  * Rename the "text_option_with_stdiout" to "text_option_with_stdout".
  * Include the libarchive file listing for ISO images to ensure that
    timestamps (not just dates) are visible in any difference.
    (Closes: reproducible-builds/diffoscope#81)

  [ Eli Schwartz ]
  * Fix an exception in the progressbar handler.

  [ Vagrant Cascadian ]
  * Add an external tool reference for zstd on GNU Guix.

 -- Chris Lamb <lamby@debian.org>  Fri, 27 Dec 2019 19:17:16 +0000
