## diffoscope 137~bpo10+1

=== debian/changelog ===
diffoscope (137~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 22 Feb 2020 09:47:30 +0100

diffoscope (137) unstable; urgency=medium

  * Also extract classes2.dex, classes3.dex etc. from .apk files.
    (Closes: reproducible-builds/diffoscope#88)
  * Add generalised support for "ignoring" returncodes and move special-casing
    of returncodes in the zip comparator to this.
  * Accommodate sng returning with a UNIX exit code of 1 even if there minor
    errors in the file (discovered via #950806).

 -- Chris Lamb <lamby@debian.org>  Tue, 18 Feb 2020 17:15:59 +0000
