## diffoscope 137

=== debian/control ===
--- 
+++ 
@@ -86,7 +86,7 @@
  zstd <!nocheck>,
 Build-Conflicts:
  graphicsmagick-imagemagick-compat,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://diffoscope.org
 Vcs-Git: https://salsa.debian.org/reproducible-builds/diffoscope.git
