=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,7 @@
 	$(MAKE) -C doc $*.1
 
 debian/diffoscope.bash-completion:
-	register-python-argcomplete diffoscope > $@
+	register-python-argcomplete3 diffoscope > $@
 
 override_dh_auto_build: debian/diffoscope.bash-completion
 	dh_auto_build -O--buildsystem=pybuild
@@ -60,7 +60,7 @@
 	 echo '""".replace("\\n", "")'; \
 	) > $@
 
-favicon.png: logo.svg
+favicon.png: doc/logo.svg
 	inkscape -w 32 -h 32 -e $@ $<
 
 override_dh_auto_clean:
