## diffoscope 140~bpo10+1

=== debian/changelog ===
diffoscope (140~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 16 Apr 2020 13:59:15 +0200

diffoscope (140) unstable; urgency=medium

  * apktool 2.5.0 changed the handling of output of XML schemas, so update and
    restrict the corresponding test to match.
    (Closes: reproducible-builds/diffoscope#96)
  * Add support for Hierarchical Data Format (HD5) files.
    (Closes: reproducible-builds/diffoscope#95)

 -- Chris Lamb <lamby@debian.org>  Sat, 11 Apr 2020 19:10:57 +0100

diffoscope (139) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Fix Build-Depends on python3-pdfminer. (Closes: #955645)

 -- Chris Lamb <lamby@debian.org>  Fri, 03 Apr 2020 21:29:22 +0100

diffoscope (138) unstable; urgency=medium

  * New features & bug fixes:
    - Use dumppdf from python3-pdfminer if we do not see any other differences
      from pdftext, etc. (reproducible-builds/diffoscope#92)
    - Prevent a traceback when comparing two .rdx files directly as get_member
      will return a file even if the file is missing and not raise a KeyError
      exception; we therefore explicitly test for the existence of the file.
    * Don't allow errors within "Rscript" deserialisation to cause the entire
      operation to fail (for example if an external library cannot be loaded).
      (reproducible-builds/diffoscope#91)

  * Reporting improvements:
    - Inject the supported file formats into the package long description and
      remove any duplicate comparator descriptions when formatting.
      (#reproducible-builds/diffoscope#90)
    - Print a potentially-helpful message if the PyPDF2 module is not installed
      (#reproducible-builds/diffoscope#92)
    - Weaken "Install the X package to get a better output" claim to "... may
      produce a better output" as this is not guaranteed.

  * Code improvements:
    - Inline the RequiredToolNotFound.get_package method; only used once.
    - Drop deprecated "py36 = [..]" argument in pyproject.toml.
    - Factor out generation of comparator descriptions.
    - Add an upstream metadata file.

 -- Chris Lamb <lamby@debian.org>  Mon, 30 Mar 2020 16:16:28 +0100
