## diffoscope 142~bpo10+1

=== debian/changelog ===
diffoscope (142~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 25 Apr 2020 14:55:14 +0200

diffoscope (142) unstable; urgency=medium

  [ Chris Lamb ]
  * Render multiline difference comments in a way to show indentation.
    (Closes: reproducible-builds/diffoscope#101)
  * Correct parsing of "./setup.py test --pytest-args ...".
  * Capitalise "Ordering differences only" in text comparison comments.
  * Don't include the JSON similarity percentage if it is 0.0%.

  [ Ben Hutchings ]
  * Document how --exclude arguments are matched against filenames.

  [ Vagrant Cascadian ]
  * Add external tool reference for h5dump on Guix.

 -- Chris Lamb <lamby@debian.org>  Wed, 22 Apr 2020 16:35:14 +0100
