=== debian/control ===
--- 
+++ 
@@ -34,6 +34,7 @@
  giflib-tools <!nocheck>,
  gnumeric <!nocheck>,
  gnupg-utils <!nocheck>,
+ hdf5-tools <!nocheck>,
  help2man,
  imagemagick <!nocheck>,
  jsbeautifier <!nocheck>,
@@ -61,7 +62,9 @@
  python3-debian <!nocheck>,
  python3-distro <!nocheck>,
  python3-docutils,
+ python3-pdfminer <!nocheck>,
  python3-guestfs <!nocheck>,
+ python3-h5py <!nocheck>,
  python3-jsondiff <!nocheck>,
  python3-libarchive-c,
  python3-magic,
@@ -111,4 +114,6 @@
  compare two tarballs, ISO images, or PDF just as easily. The differences can
  be shown in a text or HTML report.
  .
+ ${diffoscope:Description}
+ .
  diffoscope is developed as part of the “reproducible builds” project.
