=== debian/control ===
--- 
+++ 
@@ -6,8 +6,6 @@
  Chris Lamb <lamby@debian.org>,
  Holger Levsen <holger@debian.org>,
  Mattia Rizzolo <mattia@debian.org>,
- Reiner Herrmann <reiner@reiner-h.de>,
- Ximin Luo <infinity0@debian.org>,
 Build-Depends:
  abootimg <!nocheck>,
  apktool [!ppc64el !s390x] <!nocheck>,
@@ -101,7 +99,7 @@
 Suggests:
  libjs-jquery,
 Depends:
- python3-distutils | libpython3.5-stdlib | libpython3.6-stdlib (<< 3.6.5~rc1-2),
+ python3-distutils | libpython3.6-stdlib (<< 3.6.5~rc1-2),
  python3-pkg-resources,
  ${misc:Depends},
  ${python3:Depends},
