=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 include /usr/share/dpkg/pkg-info.mk
 
-SHELL := /bin/bash  # for the <(echo …) below, this was easiest way.
+SHELL := /bin/bash  # for the <(echo …) below, this was the easiest way.
 PY_VERSION := $(shell awk '/^VERSION = / {gsub(/"/, "", $$3); print $$3}' diffoscope/__init__.py )
 CHECK_VERSION := $(shell grep '^$(PY_VERSION)[^0-9].*$$' <(echo $(DEB_VERSION)))
 
@@ -22,7 +22,7 @@
 export PYBUILD_TEST_ARGS = -vv -r sxX -l --cov=diffoscope --cov-report=term-missing --cov-report=html
 export PYBUILD_BEFORE_TEST = flake8 --config=/dev/null --select=F821
 export PYBUILD_AFTER_TEST = debian/tests/basic-command-line
-export PYBUILD_AFTER_INSTALL = rm -rvf '{destdir}/{install_dir}/htmlcov' '{destdir}/{install_dir}/.coverage'
+export PYBUILD_AFTER_INSTALL = rm -rvf '{destdir}/{install_dir}/htmlcov' '{destdir}/{install_dir}/.coverage' '{destdir}/{install_dir}/debian'
 
 ifneq ($(JENKINS_EXPORTS_DIR),)
   export PYBUILD_BEFORE_TEST += && mkdir -pv $(JENKINS_EXPORTS_DIR)/test-results
@@ -39,8 +39,7 @@
 debian/diffoscope.bash-completion:
 	register-python-argcomplete3 diffoscope > $@
 
-override_dh_auto_build: debian/diffoscope.bash-completion
-	dh_auto_build -O--buildsystem=pybuild
+execute_after_dh_auto_build: debian/diffoscope.bash-completion
 	dh_auto_build -O--buildsystem=makefile -Ddoc
 
 override_dh_python3:
@@ -49,9 +48,8 @@
 		--recommends-section=cmdline \
 		--recommends-section=comparators \
 
-override_dh_gencontrol:
+execute_before_dh_gencontrol:
 	bin/diffoscope --list-debian-substvars >> debian/diffoscope.substvars
-	dh_gencontrol -O--buildsystem=pybuild
 
 diffoscope/presenters/icon.py: favicon.png
 	(echo '# Generated from $@'; \
